List Banking Accounts
The purpose of this endpoint is to deliver accounts related to a specific Principal using the principalId .
This Data Adapter endpoint is used to deliver the responses for the following Consumer Data Standards endpoints:
- Get Banking Accounts
- Get Account Detail
- Get Account Balance
- Get Bulk Balances
- Get Balances for Specific Banking Accounts
Data Adapter APIβ
List Banking Accountsβ
Loading...
Β
Consumer Data Standards Associationsβ
Get Banking Accountsβ
Loading...
CDR Error Mappingβ
| Title | Status Code | Adapter URN - Error Code | Detail | CDR Status Code | CDR URN - Error Code |
|---|---|---|---|---|---|
| Invalid Field | 400 | urn:au-cds:error:cds-all:Field/Invalid | Applies when the value of required path parameter, i.e. principalId is an invalid type or the value violates the field's constraints. | 500 | urn:au-cds:error:cds-all:GeneralError/Unexpected |
| Invalid Header | 400 | urn:au-cds:error:cds-all:Header/Invalid | Applies when a HTTP Header is provided but the value provided is an invalid type or violates the field type constraints as defined in the Consumer Data Standards. | 500 | urn:au-cds:error:cds-all:GeneralError/Unexpected |
| Expected Error | 400 | urn:au-cds:error:cds-all:GeneralError/Expected | This status code indicates that the Expected Error has encountered. | 400 | urn:au-cds:error:cds-all:GeneralError/Expected |
| Invalid Resource | 404 | urn:au-cds:error:cds-all:Resource/Invalid | The requested resource identifier is permanently unavailable. | 500 | urn:au-cds:error:cds-all:GeneralError/Unexpected |
| Legal Block | 451 | urn:dio:error:cds-all:Resource/LegalBlock | This status code indicates that the server is denying access to the resource as a consequence of a legal demand. | 422 | urn:au-cds:error:cds-all:Resource/Unavailable |
| Ineligible Block | 451 | urn:dio:error:cds-all:Resource/IneligibleBlock | This status code indicates that the Customer is ineligible for CDR Data Sharing. | 422 | urn:au-cds:error:cds-all:Resource/Invalid |
| Call Center Block | 451 | urn:dio:error:cds-all:Resource/CallCenterBlock | This status code indicates that the consumer should call the Call Center for further information. | 422 | urn:au-cds:error:cds-all:Resource/Invalid |
Get Account Detailβ
Loading...
CDR Error Mappingβ
| Title | Status Code | Adapter URN - Error Code | Detail | CDR Status Code | CDR URN - Error Code |
|---|---|---|---|---|---|
| Invalid Field | 400 | urn:au-cds:error:cds-all:Field/Invalid | Applies when the value of required path parameter, i.e. principalId is an invalid type or the value violates the field's constraints. | 404 | urn:au-cds:error:cds-banking:Authorisation/UnavailableBankingAccount |
| Invalid Header | 400 | urn:au-cds:error:cds-all:Header/Invalid | Applies when a HTTP Header is provided but the value provided is an invalid type or violates the field type constraints as defined in the Consumer Data Standards. | 500 | urn:au-cds:error:cds-all:GeneralError/Unexpected |
| Expected Error | 400 | urn:au-cds:error:cds-all:GeneralError/Expected | This status code indicates that the Expected Error has encountered. | 400 | urn:au-cds:error:cds-all:GeneralError/Expected |
| Invalid Resource | 404 | urn:au-cds:error:cds-all:Resource/Invalid | The requested resource identifier is permanently unavailable. | 500 | urn:au-cds:error:cds-all:GeneralError/Unexpected |
| Legal Block | 451 | urn:dio:error:cds-all:Resource/LegalBlock | This status code indicates that the server is denying access to the resource as a consequence of a legal demand. | 422 | urn:au-cds:error:cds-all:Resource/Unavailable |
| Ineligible Block | 451 | urn:dio:error:cds-all:Resource/IneligibleBlock | This status code indicates that the Customer is ineligible for CDR Data Sharing. | 422 | urn:au-cds:error:cds-all:Resource/Invalid |
| Call Center Block | 451 | urn:dio:error:cds-all:Resource/CallCenterBlock | This status code indicates that the consumer should call the Call Center for further information. | 422 | urn:au-cds:error:cds-all:Resource/Invalid |
Get Account Balanceβ
Loading...
CDR Error Mappingβ
| Title | Status Code | Adapter URN - Error Code | Detail | CDR Status Code | CDR URN - Error Code |
|---|---|---|---|---|---|
| Invalid Field | 400 | urn:au-cds:error:cds-all:Field/Invalid | Applies when the value of required path parameter, i.e. principalId is an invalid type or the value violates the field's constraints. | 404 | urn:au-cds:error:cds-banking:Authorisation/UnavailableBankingAccount |
| Invalid Header | 400 | urn:au-cds:error:cds-all:Header/Invalid | Applies when a HTTP Header is provided but the value provided is an invalid type or violates the field type constraints as defined in the Consumer Data Standards. | 500 | urn:au-cds:error:cds-all:GeneralError/Unexpected |
| Expected Error | 400 | urn:au-cds:error:cds-all:GeneralError/Expected | This status code indicates that the Expected Error has encountered. | 400 | urn:au-cds:error:cds-all:GeneralError/Expected |
| Invalid Resource | 404 | urn:au-cds:error:cds-all:Resource/Invalid | The requested resource identifier is permanently unavailable. | 500 | urn:au-cds:error:cds-all:GeneralError/Unexpected |
| Legal Block | 451 | urn:dio:error:cds-all:Resource/LegalBlock | This status code indicates that the server is denying access to the resource as a consequence of a legal demand. | 422 | urn:au-cds:error:cds-all:Resource/Unavailable |
| Ineligible Block | 451 | urn:dio:error:cds-all:Resource/IneligibleBlock | This status code indicates that the Customer is ineligible for CDR Data Sharing. | 422 | urn:au-cds:error:cds-all:Resource/Invalid |
| Call Center Block | 451 | urn:dio:error:cds-all:Resource/CallCenterBlock | This status code indicates that the consumer should call the Call Center for further information. | 422 | urn:au-cds:error:cds-all:Resource/Invalid |
Get Bulk Balancesβ
Loading...
CDR Error Mappingβ
| Title | Status Code | Adapter URN - Error Code | Detail | CDR Status Code | CDR URN - Error Code |
|---|---|---|---|---|---|
| Invalid Field | 400 | urn:au-cds:error:cds-all:Field/Invalid | Applies when the value of required path parameter, i.e. principalId is an invalid type or the value violates the field's constraints. | 404 | urn:au-cds:error:cds-banking:Authorisation/UnavailableBankingAccount |
| Invalid Header | 400 | urn:au-cds:error:cds-all:Header/Invalid | Applies when a HTTP Header is provided but the value provided is an invalid type or violates the field type constraints as defined in the Consumer Data Standards. | 500 | urn:au-cds:error:cds-all:GeneralError/Unexpected |
| Expected Error | 400 | urn:au-cds:error:cds-all:GeneralError/Expected | This status code indicates that the Expected Error has encountered. | 400 | urn:au-cds:error:cds-all:GeneralError/Expected |
| Invalid Resource | 404 | urn:au-cds:error:cds-all:Resource/Invalid | The requested resource identifier is permanently unavailable. | 500 | urn:au-cds:error:cds-all:GeneralError/Unexpected |
| Legal Block | 451 | urn:dio:error:cds-all:Resource/LegalBlock | This status code indicates that the server is denying access to the resource as a consequence of a legal demand. | 422 | urn:au-cds:error:cds-all:Resource/Unavailable |
| Ineligible Block | 451 | urn:dio:error:cds-all:Resource/IneligibleBlock | This status code indicates that the Customer is ineligible for CDR Data Sharing. | 422 | urn:au-cds:error:cds-all:Resource/Invalid |
| Call Center Block | 451 | urn:dio:error:cds-all:Resource/CallCenterBlock | This status code indicates that the consumer should call the Call Center for further information. | 422 | urn:au-cds:error:cds-all:Resource/Invalid |
Get Balances For Specific Banking Accountsβ
Loading...
CDR Error Mappingβ
| Title | Status Code | Adapter URN - Error Code | Detail | CDR Status Code | CDR URN - Error Code |
|---|---|---|---|---|---|
| Invalid Field | 400 | urn:au-cds:error:cds-all:Field/Invalid | Applies when the value of required path parameter, i.e. principalId is an invalid type or the value violates the field's constraints. | 404 | urn:au-cds:error:cds-banking:Authorisation/UnavailableBankingAccount |
| Invalid Header | 400 | urn:au-cds:error:cds-all:Header/Invalid | Applies when a HTTP Header is provided but the value provided is an invalid type or violates the field type constraints as defined in the Consumer Data Standards. | 500 | urn:au-cds:error:cds-all:GeneralError/Unexpected |
| Expected Error | 400 | urn:au-cds:error:cds-all:GeneralError/Expected | This status code indicates that the Expected Error has encountered. | 400 | urn:au-cds:error:cds-all:GeneralError/Expected |
| Invalid Resource | 404 | urn:au-cds:error:cds-all:Resource/Invalid | The requested resource identifier is permanently unavailable. | 500 | urn:au-cds:error:cds-all:GeneralError/Unexpected |
| Legal Block | 451 | urn:dio:error:cds-all:Resource/LegalBlock | This status code indicates that the server is denying access to the resource as a consequence of a legal demand. | 422 | urn:au-cds:error:cds-all:Resource/Unavailable |
| Ineligible Block | 451 | urn:dio:error:cds-all:Resource/IneligibleBlock | This status code indicates that the Customer is ineligible for CDR Data Sharing. | 422 | urn:au-cds:error:cds-all:Resource/Invalid |
| Call Center Block | 451 | urn:dio:error:cds-all:Resource/CallCenterBlock | This status code indicates that the consumer should call the Call Center for further information. | 422 | urn:au-cds:error:cds-all:Resource/Invalid |
Data Adapter version to CDR version mappingβ
AdapterBankingAccountV3 must be supported before March 16th 2026. Support for AdapterBankingAccountV2 will be removed in the Nebula.01 Series release.
We recommend adopting AdapterBankingAccountV5 which includes support for the latest CDR product and account endpoints.
| Data Adapter Version | CDR Version | Transformation details |
|---|---|---|
| AdapterBankingAccountV5 | Get Account Detail V5 | This is a 1:1 mapping. No transformation required. |
| Get Account Detail V4 | Further information on this transformation, refer to downgrade logic detailed below for corresponding objects. | |
| Get Account Detail V3 | Further information on this transformation, refer to downgrade logic detailed below for corresponding objects. | |
| AdapterBankingAccountV4 | Get Account Detail V5 | This is a 1:1 mapping. No transformation required. |
| Get Account Detail V4 | Further information on this transformation, refer to downgrade logic detailed below for corresponding objects. | |
| Get Account Detail V3 | Further information on this transformation, refer to downgrade logic detailed below for corresponding objects. | |
| AdapterBankingAccountV3 | Get Account Detail V4 | This is a 1:1 mapping. No transformation required. |
| Get Account Detail V5 | β οΈ Not supported. | |
| AdapterBankingAccountV2 | Get Account Detail V3 | This is a 1:1 mapping. No transformation required. Supported only until 10th May 2026. |
| Get Account Detail V4 | β οΈ Not supported. | |
| Get Account Detail V5 | β οΈ Not supported. |
AdapterBankingAccountV4 -> AdapterBankingAccountV5 Changesβ
AdapterBankingAccountV5 was introduced in HaaS Data Adapter API 2.4.0. It maps 1:1 to Get Account Detail V5, the same as AdapterBankingAccountV4; the change is on the adapter's own account representation rather than the CDR-facing shape.
| Category | Change Summary | Details |
|---|---|---|
| Now Optional | bsb | bsb is no longer a required field. Not all account types have a BSB β for example accounts held with a non-bank lender (NBL) may not have one, in which case the field should be omitted. |
Downgrade logic β AdapterBankingAccountV5 β AdapterBankingAccountV4β
| Object | Field | Downgrade Logic |
|---|---|---|
AdapterBankingAccountV5βAdapterBankingAccountV4 | bsb | bsb is mandatory on AdapterBankingAccountV4. If bsb is absent on the AdapterBankingAccountV5 account, the account will be dropped. |
Get Account Detail V5 Changesβ
Summary of changes for Get Account Detail V5 included in AdapterBankingAccountV4:
-
Introduction of
BankingProductInstalments -
BankingProductFeatureV3βBankingProductFeatureV4 -
BankingProductCategoryβBankingProductCategoryV2
| Category | Change Summary | Details |
|---|---|---|
| New Field | instalments | Details of instalment features on the account. |
| New Field | isInstalmentDetailAvailable | boolean (default false). true if any active or inactive instalment plans are available in the Get Instalment Plans endpoints; false if instalment plans are not applicable to the account. Signals to ADRs whether the Get Instalment Plans endpoints should be called for the account. |
| Expanded Enum | productCategory | Same as V1 plus new enum BUY_NOW_PAY_LATER. |
Downgrade logic β Get Account Detail V5 β Get Account Detail V4 and Get Account Detail V5 -> Get Account Detail V3 Changesβ
| Object | Field | Downgrade Logic |
|---|---|---|
Get Account Detail V5βGet Account Detail V4 | instalments | If instalments present, the instalments object will be dropped |
Get Account Detail V5βGet Account Detail V4 | isInstalmentDetailAvailable | If isInstalmentDetailAvailable present, the field will be dropped |
Get Account Detail V5βGet Account Detail V4 | productCategory | If productCategory=BUY_NOW_PAY_LATER, this account will be dropped |
Get Account Detail V5βGet Account Detail V3 | instalments | If instalments present, the instalments object will be dropped |
Get Account Detail V5βGet Account Detail V3 | productCategory | If productCategory=BUY_NOW_PAY_LATER, this account will be dropped |
BankingProductInstalmentsV1β
The instalments object (BankingProductInstalmentsV1) describes the instalment features available on the account.
| Field | Type | Required | Description |
|---|---|---|---|
maximumConcurrentPlans | NaturalNumber | OPTIONAL | Maximum number of concurrent active instalment plans that may be created on the account. If null, there is no predetermined maximum number. |
instalmentsLimit | AmountString | OPTIONAL | Maximum combined limit of all instalment plans that may be created on the account. If null or not present, an opened account balance creditLimit may be assumed. |
minimumPlanValue | AmountString | OPTIONAL | Minimum value that can be opened as an instalment plan. |
maximumPlanValue | AmountString | OPTIONAL | Maximum value that can be opened as an instalment plan. If null or not present, instalmentsLimit is assumed to be the maximum individual plan value. |
minimumSplit | PositiveInteger | REQUIRED | Minimum number of instalment payments a plan can be created with. |
maximumSplit | PositiveInteger | REQUIRED | Maximum number of instalment payments a plan can be created with. |
Get Account Detail V4 Changesβ
Summary of changes for Get Account Detail V4 included in AdapterBankingAccountV3:
- BankingLoanAccountV2 β BankingLoanAccountV3
- BankingProductDepositRateV2 β BankingProductDepositRateV3
- BankingProductLendingRateV2 β BankingProductLendingRateV3
- BankingProductFeatureV2 β BankingProductFeatureV3
- BankingProductFee β BankingProductFeeV2
BankingLoanAccountV3 Changesβ
| Object | Field | Change | Description |
|---|---|---|---|
| BankingLoanAccountV3 | repaymentType required | New enum values introduced. No default values. Field is now mandatory. | Map old β new: - INTEREST_ONLY β same - PRINCIPAL_AND_INTEREST β same - handle OTHER or UNCONSTRAINED if applicable. |
| BankingLoanAccountV3 | New default currencies | Default values added for consistency. | Set default AUD when not specified. |
Downgrade logicβ
| Object | Field | Downgrade Logic |
|---|---|---|
BankingLoanAccountV3->BankingLoanAccountV2 | repaymentType | If values are either OTHER or UNCONSTRAINED, the loan will be marked as null, and data.specificAccountUType field will also be marked as null. |
BankingProductDepositRateV3 Changesβ
DioBankingProductDepositRateV2 β BankingProductDepositRateV3 Changesβ
| Category | Change Summary | Details |
|---|---|---|
| New Field | applicationType | New enum describing when the deposit rate applies.Values: MATURITY, PERIODIC, UPFRONT. |
| New Field | rateApplicabilityType | New enum defining why or under what rule a rate is applied (see below for full list). |
| Conditional Field | applicationFrequency | Mandatory only when applicationType = PERIODIC. |
| Conditional Field | additionalValue | Whether mandatory or not is dependent on the value of depositRateType |
| New Field | applicabilityConditions | Array of structured condition objects (BankingProductRateConditionV2) defining eligibility logic. |
| Updated Reference | tiers | Schema updated from BankingProductRateTierV3 β BankingProductRateTierV4. |
| Required Fields | Updated | Must now include applicationType, rateApplicabilityType, depositRateType, and rate. |
BankingProductRateTierV3 β BankingProductRateTierV4 Changesβ
| Change Type | Field | Description |
|---|---|---|
| Changed | applicabilityConditions | Changed from BankingProductRateCondition to an array of BankingProductRateConditionV2 Each tier can define its own BankingProductRateConditionV2 list. |
| Clarified | minimumValue / maximumValue | Explicitly defined as inclusive bounds. |
BankingProductRateCondition β BankingProductRateConditionV2 Changesβ
| Change Type | Field | Description |
|---|---|---|
| New Enum Field | rateApplicabilityType | Category of applicability condition associated with the rate. |
| New Field | additionalValue | Generic field containing additional information relevant to the rateApplicabilityType specified. Whether mandatory or not is dependent on the value of rateApplicabilityType. |
| Retained | additionalInfo | Display text providing more information on the condition. Mandatory if the rateApplicabilityType value is OTHER. |
Downgrade logicβ
| Object | Field | Downgrade Logic |
|---|---|---|
BankingProductDepositRateV3 β BankingProductDepositRateV2 | applicationType, rateApplicabilityType, and applicabilityConditions | Since these are newly introduced fields, downgrade will drop these fields. |
BankingProductRateTierV4.[BankingProductRateConditionV2] β BankingProductRateTierV3.BankingProductRateConditionV1 | rateApplicabilityType and additionalValue | rateApplicabilityType and additionalValue fields will be dropped, and if there are more than one eligibility conditions, for each, a new tier will be created when downgrading. |
BankingProductLendingRateV3 Changesβ
| Category | Change Summary | Details |
|---|---|---|
| New Field | applicationType | New enum describing when the lending rate applies.Values: MATURITY, PERIODIC, UPFRONT. |
| New Field | applicabilityConditions | Array of structured condition objects (BankingProductRateConditionV2) defining eligibility logic. |
| Conditional Field | applicationFrequency | Mandatory only when applicationType = PERIODIC. |
| Conditional Field | additionalValue | Whether mandatory or not is dependent on the value of lendingRateType |
| Required Fields | Updated | Must now include applicationType, lendingRateType, loanPurpose, repaymentType and rate. |
Downgrade logicβ
| Object | Field | Downgrade Logic |
|---|---|---|
BankingProductLendingRateV3β BankingProductLendingRateV2 | applicationType and applicabilityConditions | Since these are newly introduced fields, downgrade will drop these fields. |
BankingProductLendingRateV3β BankingProductLendingRateV2 | lendingRateType | If lendingRateType = BALANCE_TRANSFER, downgrade will drop this lending rate record. |
BankingProductRateTierV4.[BankingProductRateConditionV2] β BankingProductRateTierV3.BankingProductRateConditionV1 | rateApplicabilityType and additionalValue | rateApplicabilityType and additionalValue fields will be dropped, and if there are more than one eligibility conditions, for each, a new tier will be created when downgrading. |
BankingProductFeatureV3 Changesβ
| Category | Change Summary | Details |
|---|---|---|
| Expanded Enum | featureType | Same as V2 plus new enum FUNDS_AVAILABLE_AFTER. |
| Conditional Field | additionalInfo | Now mandatory when featureType = OTHER. |
| Conditional Field | additionalValue | Now mandatory when featureType = OTHER. |
| Changed Field | isActivated | Type changed (boolean β enum) |
| Object | Field | Downgrade Logic |
|---|---|---|
BankingProductFeatureV3βBankingProductFeatureV2 | featureType | If the new enum FUNDS_AVAILABLE_AFTER is present, whole feature object will dropped, as this a mandatory field. |
BankingProductFeatureV3βBankingProductFeatureV2 | isActivated | ACTIVATED will be transformed to true and false for any other values. |
BankingProductFeatureV3 β BankingProductFeatureV4 Changesβ
| Category | Change Summary | Details |
|---|---|---|
| Expanded Enum | featureType | Same as V3 plus new enum EXTRA_DOWN_PAYMENT. |
Downgrade logicβ
| Object | Field | Downgrade Logic |
|---|---|---|
BankingProductFeatureV4βBankingProductFeatureV3 | featureType | If the new enum EXTRA_DOWN_PAYMENT is present, whole feature object will dropped, as this a mandatory field. |
BankingProductFeatureV4βBankingProductFeatureV2 | featureType | If the new enum EXTRA_DOWN_PAYMENT or FUNDS_AVAILABLE_AFTER is present, whole feature object will dropped, as this a mandatory field. |
BankingProductFeatureV4βBankingProductFeatureV2 | isActivated | ACTIVATED will be transformed to true and false for any other values. |
BankingProductFeatureV3βBankingProductFeatureV2 | featureType | If the new enum FUNDS_AVAILABLE_AFTER is present, whole feature object will dropped, as this a mandatory field. |
BankingProductFeatureV3βBankingProductFeatureV2 | isActivated | ACTIVATED will be transformed to true and false for any other values. |
BankingProductFeeV2 Changesβ
| Category | Change Summary | Details |
|---|---|---|
| Expanded Enum | feeType | Removed - VARIABLE Added - CASH_ADVANCE, DISHONOUR, ENQUIRY, LATE_PAYMENT, OTHER, REPLACEMENT, UPFRONT_PER_PLAN, VARIATION. |
| New Field | feeMethodUType | string enum: fixedAmount, rateBased, variable. |
| New Field | feeCap | cap amount if multiple occurrences are capped. |
| New Field | feeCapPeriod | Specifies a duration over which multiple occurrences of the fee will be capped. |
| New Field | variable | Mandatory if the feeMethodUType value is variable, and structurally changed to BankingFeeRangeV1 |
| New Field | rateBased | Mandatory if the feeMethodUType value is rateBased, and structurally changed to BankingFeeRateV1 |
| Changed Field | accruedRate β rateBased.* | Mandatory if the feeMethodUType value is rateBased. and rateBased.rateType = INTEREST_ACCRUED. |
| Changed Field | balanceRate β rateBased.* | Mandatory if the feeMethodUType value is rateBased. and rateBased.rateType = BALANCE. |
| Changed Field | transactionRate β rateBased.* | Mandatory if the feeMethodUType value is rateBased. and rateBased.rateType = TRANSACTION. |
| Changed Field | accrualFrequency β ratedBased.accrualFrequency | Moved under rateBased object. Applies only if the feeMethodUType value is rateBased. and rateBased.rateType = INTEREST_ACCRUED or BALANCE |
| Changed Field | amount | Mandatory if the feeMethodUType value is fixedAmount. Moved into fixedAmount, and structurally changed to BankingFeeAmountV1 |
| Changed Field | currency | Currency is expressed inside BankingFeeAmountV1. |
| Conditional Field | additionalInfo | Now mandatory when feeType = OTHER. |
| Conditional Field | additionalValue | Now mandatory when feeType = OTHER. |
BankingFeeDiscountAmountV1 -> BankingFeeDiscountAmountV2 Changesβ
| Category | Change Summary | Details |
|---|---|---|
| Changed Field | discounts.amount β discounts.fixedAmount.amount | Mandatory if the discountMethodUType value is fixedAmount. |
| Changed Field | discounts.currency β discounts.fixedAmount.currency | Mandatory if the discountMethodUType value is fixedAmount. |
| Changed Field | discounts.accruedRate β discounts.rateBased | Mandatory if the discountMethodUType value is rateBased. |
| Changed Field | discounts.balanceRate β discounts.rateBased | Mandatory if the discountMethodUType value is rateBased. |
| Changed Field | discounts.transactionRate β discounts.rateBased | Mandatory if the discountMethodUType value is rateBased. |
| Changed Field | discounts.feeRate β discounts.rateBased | Mandatory if the discountMethodUType value is rateBased. |
Downgrade logicβ
| Object | Field | Downgrade Logic |
|---|---|---|
BankingProductFeeV2βBankingProductFeeV1 | feeType | feeType = CASH_ADVANCE, DISHONOUR, ENQUIRY, LATE_PAYMENT, OTHER, REPLACEMENT, UPFRONT_PER_PLAN, VARIATION the fee record will be dropped. |
BankingProductFeeV2βBankingProductFeeV1 | If feeMethodUType=rateBased; then rateBased will be transformed. | accruedRate or transactionRate or balanceRate will be built, based on rateBased.rateType |
BankingProductFeeV2βBankingProductFeeV1 | If feeMethodUType=rateBased and rateBased.rateType=BALANCE/INTEREST_ACCRUED | ratedBased.accrualFrequency -> accrualFrequency |
BankingProductFeeV2βBankingProductFeeV1 | If feeMethodUType=fixedAmount; then fixedAmount will be transformed. | fixedAmount.amount -> amount will be built and if amount is not null/empty currency will be defaulted to AUD. |
BankingProductFeeV2βBankingProductFeeV1 | If feeMethodUType=variable; then variable will be transformed. | If feeMethodUType=variable; then feeType will be set to variable, and amount will be set to null, as feeMinimum and feeMaximum cannot be mapped. |
BankingProductFeeV2βBankingProductFeeV1 | feeCap | This will be dropped. |
BankingProductFeeV2βBankingProductFeeV1 | feeCapPeriod | This will be dropped. |
BankingProductDiscountV2βBankingProductDiscountV1 | If the discountMethodUType value is fixedAmount, fixedAmount.amount -> amount | discounts.fixedAmount.amount -> discounts.amount discounts.fixedAmount.currency -> discounts.currency |
BankingProductDiscountV2βBankingProductDiscountV1 | If the discountMethodUType value is rateBased and discounts.rateBased.rateType = BALANCE or FEE or INTEREST_ACCRUED or TRANSACTION | discounts.rateBased.accruedRate -> discounts.accruedRate discounts.rateBased.balanceRate -> discounts.balanceRate discounts.rateBased.transactionRate -> discounts.transactionRate discounts.rateBased.feeRate -> discounts.feeRate |
Supplemental Fieldsβ
Beyond attributes which map one-to-one between Data Adapter and Consumer Data Standards fields the following are identified as additional fields specifically with relation to the successful operation of the HaaS environment:
| Name | Description |
|---|---|
accountCustomers[] | An array of relationships between a specified account and one or more Principals. |
accountCustomers[].userId | The User Identifier associated with the specified relationship. |
accountCustomers[].relationship | An enumeration specifying the type of relationship for the account and specified Principal |
accountCustomers[].vulnerable | A boolean specifying whether, in the context of this particular Account and Principal relationship the Principal should be considered a vulnerable customer. |
Endpoint Specific Guidanceβ
-
The Data Adapter call is made with an
accountIdsfilter for any call after consent flow is completed -
In a number of cases the Data Adapter specifically uses a JSON
numbertype rather than anx-cds-typeand additionally may apply a minimum and maximum value. The reasoning for this is to avoid source system issues related to; -
Conversion issues (ie. floating points)
-
Incorrect decimalisation (i.e., interest rate of 1.5% being incorrectly provided as
1.5which is equal to 150%).
The HaaS environment will ensure that number types will be appropriately converted to the relevant CDS types (ie. RateString and AmountString)
List Banking Accounts Optimisation Guidelinesβ
The List Banking Accounts endpoint combines several purposes and CDR endpoints into one call. However, you can still identify the specific purpose of each request. There are three different ways List Banking Accounts can be called, and each determines how much data is returned:
| List Accounts Parameters | Meaning | Occurrence |
|---|---|---|
| No account IDs | Consent Flow | βͺ Consent Flow βͺ HaaS Admin |
| 1 account ID | CDS Detail | ADR data requests |
| > 1 account ID | CDS Basic | ADR data requests |
List Banking Accounts - Consent Flow vs CDS Basicβ
| Adapter Spec | Consent flow | bank:accounts.basic:read |
|---|---|---|
id β€ 255 Characters > A unique ID of the account. | REQUIRED | REQUIRED |
internalId > Internal Account Identifier. | REQUIRED | REQUIRED |
accountNumber > The Account Number for the account. Note: As from 1.12.1, this field has changed from a Number to a String. This change is backwards compatible and will currently accept a JSON number returned from the adapter but this behaviour is now deprecated and will be removed in a future release. | REQUIRED | REQUIRED |
displayName > The display name of the account as defined by the bank. This should not incorporate account numbers or PANs. | REQUIRED | REQUIRED |
bsb INTEGER β₯ 1 > The BSB for the account. If a string is supplied and it is a valid integer it will be parsed and then zero padded on return. β οΈ As of AdapterBankingAccountV5 (HaaS Data Adapter API 2.4.0), bsb is optional on the adapter response β not all account types (e.g. non-bank lender accounts) have a BSB. | REQUIRED | OPTIONAL |
productCategory ENUM > The Product Category enumeration lists the available product categories for categorising products and accounts. These are explained in the following tables: | REQUIRED | REQUIRED |
productName > The Product Name associated with the Account | REQUIRED | REQUIRED |
nickname > A customer supplied nick name for the Account | REQUIRED | OPTIONAL |
status ENUM > Open or closed status for the account. If not present then OPEN is assumed. βͺ CLOSED βͺ OPEN | REQUIRED | OPTIONAL If not present then OPEN is assumed. |
accountCustomers LIST > List of Account Customer entries | REQUIRED | REQUIRED |
displayName > The display name of the account as defined by the bank. This should not incorporate account numbers or PANs. | REQUIRED | REQUIRED |
creationDate DATE Date that the account was created (if known) | REQUIRED | OPTIONAL |
Β
Supplemental fieldsβ
No supplemental fields are specified.
Endpoint Specific Guidanceβ
N/A